<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Crazyflie plugin for ARGoS: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Crazyflie plugin for ARGoS
   </div>
   <div id="projectbrief">ADARS project -- PCOG / SnT / University of Luxembourg</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceargos.html">argos</a></li><li class="navelem"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a820a898c12378196442851429591788b">CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ae53d16f27a099d89db30e5b0cab0171f">Destroy</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aeefe631850a60cda55a701ed794fcd91">Disable</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a0a32c4346a103375d1ef66d65e65a08b">Enable</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#aae04df2fc124672fe4f6d3aedbf099cc">Init</a>(TConfigurationNode &amp;t_tree)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#abc34e2ea9cd48f528c7b4dba96e3f907">IsShowRays</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a78a7f290dc648e51bcf060d83688e972">m_bShowRays</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a86340d1c95102351214dec0a9d88d418">m_pcCamEntity</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a408d79f289c16c281e5aae571adf626d">m_pcControllableEntity</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a307fb5d9941c9b3b28afa4d3e9943443">m_pcEmbodiedEntity</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1308a14520fcf4543d20f69ae267c8a">m_pcEmbodiedIndex</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a385afa6f7e15101bc9dfcef852f059fc">m_pcLEDIndex</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a3347a952ac9addce145f69412929243e">m_pcOperation</a></td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ab1b75aeaf760bf3584f73c7560c7d033">Reset</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#ac44c6fbe2716e1aee509ac97ec0ef45f">SetRobot</a>(CComposableEntity &amp;c_entity)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a1c53044d2617ffcc59a92a72958491a8">SetShowRays</a>(bool b_show_rays)</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a2ce83da2de68a4aaa7116275a6a4f9bc">Update</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html#a983c72726647ea975bc1422f63fb4f05">~CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a>()</td><td class="entry"><a class="el" href="classargos_1_1CCrazyflieColoredBlobPerspectiveCameraDefaultSensor.html">argos::CCrazyflieColoredBlobPerspectiveCameraDefaultSensor</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
